package admin.rest;

import admin.model.MaxKbChatReq;
import admin.model.SendSseModel;
import admin.model.python.PythonApiReq;
import admin.resp.ApiResponse;
import admin.service.DeepSeekOpenApiService;
import admin.service.MaxkbOpenApiService;
import admin.service.PythonOpenApiClient;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.websocket.Session;

/**
 * @author lj
 * @date 2025/2/23 13:35
 */
@RestController
@RequestMapping(value = "v1/openApi/")
@RequiredArgsConstructor
@Slf4j
public class OpenApiController {

    private final DeepSeekOpenApiService deepSeekOpenApiService;
    private final MaxkbOpenApiService maxkbOpenApiService;
    private final PythonOpenApiClient pythonOpenApiClient;

    @PostMapping(value = "completions")
    public ApiResponse<Object> completions(@RequestParam String content){
        deepSeekOpenApiService.chatCompletions(content);
        return null;
    }


    @GetMapping("testOpen")
    public ApiResponse<Object> open(@RequestParam String applicationId){
        return maxkbOpenApiService.getMaxkbSessionId(applicationId);
    }


    @GetMapping("testcompletions")
    public void testcompletions(@RequestParam MaxKbChatReq maxKbChatReqe){
        maxkbOpenApiService.chatCompletions(maxKbChatReqe);
    }


    @GetMapping("aItalk")
    public void testcompletions(@RequestParam SendSseModel sendSseModel){
        maxkbOpenApiService.talk(sendSseModel);
    }

    @GetMapping("testAnalysis")
    public ApiResponse<Object> testAnalysis(PythonApiReq pythonApiReq){
        String analysisData = pythonOpenApiClient.getAnalysisData(pythonApiReq);
        return ApiResponse.buildSuccess(analysisData);
    }

}
